commit d8b5fb1635c44ed407c0550e195245dc16bb1b34
Author: jklowden <jklowden>
Date:   Sat Dec 20 06:01:21 2008 +0000

    initialize tds_login at allocation, not connection

diff --git a/ChangeLog b/ChangeLog
index e58b99f..403bef7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,14 @@
+Sat Dec 20 00:52:51 EST 2008	JK Lowden <jklowden@freetds.org>
+	* src/tds/login.c src/tds/mem.c src/tds/net.c
+	- initialize tds_login at allocation, not connection
+	* configure.ac include/Makefile.am 
+	- sort header files for readability
+	* doc/userguide.dsl.in HTML 4.0 strict output
+	* doc/userguide.sgml minor updates
+	* src/replacements/Makefile.am 
+	* src/replacements/fakepoll.h src/replacements/fakepoll.c
+	- added fakepoll
+
 Fri Dec 19 20:22:03 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/commit:
 	- fix date language problem
@@ -1118,4 +1129,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2693 2008/12/19 19:22:17 freddy77 Exp $
+$Id: ChangeLog,v 1.2694 2008/12/20 06:01:21 jklowden Exp $
diff --git a/src/tds/login.c b/src/tds/login.c
index b610e7c..81be9db 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.178 2008/12/17 11:04:34 freddy77 Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.179 2008/12/20 06:01:21 jklowden Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -122,18 +122,26 @@ tds_set_app(TDSLOGIN * tds_login, const char *application)
 void
 tds_set_server(TDSLOGIN * tds_login, const char *server)
 {
-	if (!server || strlen(server) == 0) {
-		server = getenv("TDSQUERY");
-		tdsdump_log(TDS_DBG_INFO1, "Setting 'server_name' to '%s' from $TDSQUERY.\n", server);
-	}
-	if (!server || strlen(server) == 0) {
-		server = getenv("DSQUERY");
-		tdsdump_log(TDS_DBG_INFO1, "Setting 'server_name' to '%s' from $DSQUERY.\n", server);
-	}
-	if (!server || strlen(server) == 0) {
-		server = "SYBASE";
-		tdsdump_log(TDS_DBG_INFO1, "Setting 'server_name' to '%s' (compiled-in default).\n", server);
+#if 0
+	// Doing this in tds_alloc_login instead
+	static const char *names[] = { "TDSQUERY", "DSQUERY", "SYBASE" };
+	int i;
+	
+	for (i=0; i < TDS_VECTOR_SIZE(names) && (!server || strlen(server) == 0); i++) {
+		const char *source;
+		if (i + 1 == TDS_VECTOR_SIZE(names)) {
+			server = names[i];
+			source = "compiled-in default";
+		} else {
+			server = getenv(names[i]);
+			source = names[i];
+		}
+		if (server) {
+			tdsdump_log(TDS_DBG_INFO1, "Setting TDSLOGIN::server_name to '%s' from %s.\n", server, source);
+		}
 	}
+#endif
+	assert(server);
 	tds_dstr_copy(&tds_login->server_name, server);
 }
 
diff --git a/src/tds/mem.c b/src/tds/mem.c
index 6238db3..b0edbf7 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -22,13 +22,7 @@
 #include <config.h>
 #endif /* HAVE_CONFIG_H */
 
-#if HAVE_STDLIB_H
 #include <stdlib.h>
-#endif /* HAVE_STDLIB_H */
-
-#if HAVE_STRING_H
-#include <string.h>
-#endif /* HAVE_STRING_H */
 
 #if HAVE_UNISTD_H
 #include <unistd.h>
@@ -47,7 +41,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.182 2008/11/05 14:54:41 freddy77 Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.183 2008/12/20 06:01:21 jklowden Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -955,7 +949,9 @@ TDSLOGIN *
 tds_alloc_login(void)
 {
 	TDSLOGIN *tds_login;
-
+	const char *server_name = "SYBASE";
+	char *s;
+	
 	TEST_MALLOC(tds_login, TDSLOGIN);
 	tds_dstr_init(&tds_login->server_name);
 	tds_dstr_init(&tds_login->server_addr);
@@ -967,7 +963,16 @@ tds_alloc_login(void)
 	tds_dstr_init(&tds_login->password);
 	tds_dstr_init(&tds_login->library);
 	tds_dstr_init(&tds_login->client_charset);
+
+	if ((s=getenv("DSQUERY")) != NULL)
+		server_name = s;
+
+	if ((s=getenv("TDSQUERY")) != NULL)
+		server_name = s;
+
+	tds_dstr_copy(&tds_login->server_name, server_name);
 	memcpy(tds_login->capabilities, defaultcaps, TDS_MAX_CAPABILITY);
+
 	return tds_login;
 
       Cleanup:
@@ -993,6 +998,7 @@ tds_free_login(TDSLOGIN * login)
 		free(login);
 	}
 }
+
 TDSSOCKET *
 tds_alloc_socket(TDSCONTEXT * context, int bufsize)
 {
diff --git a/src/tds/net.c b/src/tds/net.c
index 6435f06..2536db0 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -103,7 +103,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.81 2008/12/19 16:23:20 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.82 2008/12/20 06:01:22 jklowden Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL)
@@ -347,9 +347,11 @@ tds_select(TDSSOCKET * tds, unsigned tds_sel, int timeout_seconds)
 {
 	int rc, seconds;
 	unsigned int poll_seconds;
+	const char *method = "poll(2)";
 #if !USE_POLL
 	fd_set fds[3];
 	fd_set *readfds = NULL, *writefds = NULL, *exceptfds = NULL;
+	method = "select(2)";
 #endif
 
 	assert(tds != NULL);
@@ -426,8 +428,8 @@ tds_select(TDSSOCKET * tds, unsigned tds_sel, int timeout_seconds)
 			case TDSSOCK_EINTR:
 				break;	/* let interrupt handler be called */
 			default: /* documented: EFAULT, EBADF, EINVAL */
-				tdsdump_log(TDS_DBG_ERROR, "error: select(2) returned 0x%x, \"%s\"\n", 
-						sock_errno, strerror(sock_errno));
+				tdsdump_log(TDS_DBG_ERROR, "error: %s returned %d, \"%s\"\n", 
+						method, sock_errno, strerror(sock_errno));
 				return rc;
 			}
 		}

